This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 790165

Summary: python-execnet should unbundle apipkg
Product: [Fedora] Fedora Reporter: Ian Weller <ian>
Component: python-execnetAssignee: Ken Dreyer <ktdreyer>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: branto, ktdreyer, thomas.moschny, tomspur
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-23 08:28:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1185059    
Bug Blocks: 504493    
Attachments:
Description Flags
Proposed patch to unbundle apipkg
none
Updated patch to also unbundle apipkg on python2 none

Description Ian Weller 2012-02-13 14:59:02 EST
python-execnet bundles the apipkg module.

This module has recently been reviewed and accepted into Fedora as the
python-apipkg package.

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Thomas Moschny 2012-02-15 12:36:10 EST
This is going to be a wontfix, for several reasons:

- the python-apipkg rpm is not providing a python3 package, which would be needed
- there are major differences between apipkg.py (version "1.0" vs. "1.0b6")
- upstream doesn't seem to be very interested in making apipkg releases
- upstream announces apipkg as a copylib
- upstream wants execnet to be self-contained; apipkg lives in execnet.apipkg

So seems I need to ask FPC for an exception here as well...
Comment 2 Thomas Moschny 2012-05-24 14:35:21 EDT
Mailed upstream, awaiting response.
Comment 3 Fedora End Of Life 2013-04-03 15:46:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Thomas Moschny 2013-05-11 10:55:43 EDT
Upstream bug report: https://bitbucket.org/hpk42/execnet/issue/13
Comment 5 Ken Dreyer 2015-01-02 13:49:44 EST
It's pretty clear that the author considered apipkg to be a copylib. Not only that, but Holger Krekel is the same person who has authored both python-execnet python-apipkg.

Holger's also authored the "py" module on PyPI, which also bundles apipkg. (https://bugzilla.redhat.com/show_bug.cgi?id=790163). I thought Holger's response to https://bitbucket.org/hpk42/py/issue/31 there was interesting. It sounds like there's some flux regarding the future of apipkg altogether.

At any rate, from Fedora's perspective, let's get this passed through the FPC and then add "Provides: bundled(python-apipkg) = 1.2" to the python-execnet spec file.

Thomas, would you like to file the FPC ticket or should I?
Comment 6 Thomas Moschny 2015-01-08 13:36:14 EST
(In reply to Ken Dreyer from comment #5)
> It's pretty clear that the author considered apipkg to be a copylib. Not
> only that, but Holger Krekel is the same person who has authored both
> python-execnet python-apipkg.
> 
> Holger's also authored the "py" module on PyPI, which also bundles apipkg.
> (https://bugzilla.redhat.com/show_bug.cgi?id=790163). I thought Holger's
> response to https://bitbucket.org/hpk42/py/issue/31 there was interesting.
> It sounds like there's some flux regarding the future of apipkg altogether.
> 
> At any rate, from Fedora's perspective, let's get this passed through the
> FPC and then add "Provides: bundled(python-apipkg) = 1.2" to the
> python-execnet spec file.
> 
> Thomas, would you like to file the FPC ticket or should I?

It would be very helpful, if you could do that.
Comment 7 Ken Dreyer 2015-01-15 16:58:11 EST
If you don't mind, I'm going to assign this bug to myself while I draft up the FPC Bundling Exception ticket.
Comment 8 Ken Dreyer 2015-01-15 17:15:07 EST
FPC Bundling Exception request: https://fedorahosted.org/fpc/ticket/493
Comment 9 Thomas Spura 2015-01-22 13:00:49 EST
Created attachment 982969 [details]
Proposed patch to unbundle apipkg

The attached patch works here and the same amount of tests are passing/failing on python2:
3 tests deselected by '-k-test_stdouterrin_setnull'
644 passed, 237 skipped, 3 deselected, 32 xfailed

There is no python3-apipkg, so I didn't try out the python3 tests.

Is there a reason not to unbundle it like this?
This is also proposed (without the patch) at an upstream bug report:
https://bitbucket.org/hpk42/execnet/issue/13

Would this break the feature "execnet bootstraps itself across host boundaries" or how exactly is that working?
Comment 10 Thomas Spura 2015-01-22 15:11:14 EST
Created attachment 983032 [details]
Updated patch to also unbundle apipkg on python2
Comment 11 Thomas Moschny 2015-03-08 10:05:45 EDT
According to upstream we'll see advance in de-bundling apipkg in the upcoming execnet 1.3.1.
Comment 12 Thomas Moschny 2016-01-23 08:28:06 EST
python-execnet-1.4.1-1.fc24 with debundled apipkg has been built for rawhide.